000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID.     TAG-SORT.
000300*
000400*
000500 AUTHOR.         BIT-by-BIT SOFTWARE COMPANY (ROGER CRAVENS).
000600 INSTALLATION.   ATLANTA, GEORGIA.
000700 DATE-WRITTEN.   10/25/1992.
000800 DATE-COMPILED.  10/25/1992.
000900 SECURITY.       COPYRIGHT 1992.
001000*
001100*
001200 ENVIRONMENT DIVISION.
001300 CONFIGURATION SECTION.
001400 SOURCE-COMPUTER.  IBM-PERSONAL-COMPUTER.
001500 OBJECT-COMPUTER.  IBM-PERSONAL-COMPUTER.
001600 SPECIAL-NAMES.
001700*    CRT STATUS IS KEY-STATUS
001800*    CURSOR     IS WS-CURSOR.
001900 INPUT-OUTPUT SECTION.
002000 FILE-CONTROL.
002100*
002200     SELECT TAGLINE-FILE-IN
002300         ASSIGN TO DISK
002400         ORGANIZATION LINE SEQUENTIAL
002500         ACCESS MODE IS SEQUENTIAL.
002600*
002700     SELECT TAGLINE-FILE-OUT
002800         ASSIGN TO DISK
002900         ORGANIZATION LINE SEQUENTIAL
003000         ACCESS MODE IS SEQUENTIAL.
003100*
003200     SELECT SORT-TAGLINE
003300         ASSIGN TO DISK.
003400*
003500***********************************************************
003600*     D A T A    D I V I S I O N                          *
003700***********************************************************
003800 DATA DIVISION.
003900*
004000 FD  TAGLINE-FILE-IN
004100     LABEL RECORDS STANDARD
004200     RECORD IS VARYING FROM 1 TO 80 CHARACTERS
004300     VALUE OF FILE-ID IN-FILE.
004400 01  TAGLINE-RECORD-IN.
004500     05  TAGLINE-IN                      PIC X(80).
004600*
004700 FD  TAGLINE-FILE-OUT
004800     LABEL RECORDS STANDARD
004900     RECORD IS VARYING FROM 1 TO 80 CHARACTERS
005000     VALUE OF FILE-ID OUT-FILE.
005100 01  TAGLINE-RECORD-OUT.
005200     05  TAGLINE-OUT                     PIC X(80).
005300*
005400 SD  SORT-TAGLINE
005500     LABEL RECORDS STANDARD
005600     RECORD IS VARYING FROM 1 TO 80 CHARACTERS.
005700 01  SORTED-TAGLINE-RECORD.
005800     05  SORTED-TAGLINE                  PIC X(80).
005900*
006000
006100***********************************************************
006200*   W O R K I N G   S T O R A G E   S E C T I O N         *
006300***********************************************************
006400 WORKING-STORAGE SECTION.
006500
006600 01  IN-FILE                             PIC X(12).
006700 01  OUT-FILE                            PIC X(12).
006800 01 ASCENDING-ORDER                      PIC X.
006900 01 DESCENDING-ORDER                     PIC X.
007000*
007100***********************************************************
007200*   S C R E E N   S E C T I O N                           *
007300***********************************************************
007400 SCREEN SECTION.
007500 01 MAINMENU.
007600   02 BLANK SCREEN.
007700   02 LINE 3 COL 10 VALUE "
007800-"Ŀ".
007900   02 LINE 4 COL 10 VALUE " IN/OUT ASCII TAGLINE SORT FILES
008000-"           ".
008100   02 LINE 5 COL 10 VALUE "
008200-"Ĵ".
008300   02 LINE 6 COL 10 VALUE "
008400-"           ".
008500   02 LINE 7 COL 10 VALUE " FILENAME IN:  [            ]
008600-"           ".
008700   02 LINE 8 COL 10 VALUE "
008800-"           ".
008900   02 LINE 9 COL 10 VALUE " FILENAME OUT: [            ]
009000-"           ".
009100   02 LINE 10 COL 10 VALUE "
009200-"            ".
009300   02 LINE 11 COL 10 VALUE " ASCENDING ORDER: [ ]  DESCENDING ORD
009400-"ER: [ ]     ".
009500   02 LINE 12 COL 10 VALUE "
009600-"            ".
009700   02 LINE 13 COL 10 VALUE " USE <TAB> KEY TO TAB DOWN
009800-"            ".
009900   02 LINE 14 COL 10 VALUE " PRESS <ENTER> KEY WHEN DONE!
010000-"            ".
010100   02 LINE 15 COL 10 VALUE "
010200-"".
010300   02 LINE 7 COL 27 PIC X(12) USING IN-FILE.
010400   02 LINE 9 COL 27 PIC X(12) USING OUT-FILE.
010500   02 LINE 11 COL 30 PIC X    USING ASCENDING-ORDER.
010600   02 LINE 11 COL 53 PIC X    USING DESCENDING-ORDER.
010700*
010800***********************************************************
010900*   P R O C E D U R E   D I V I S I O N                   *
011000***********************************************************
011100 PROCEDURE DIVISION.
011200*
011300 0000-CONTROL SECTION.
011400     DISPLAY MAINMENU.
011500     ACCEPT  MAINMENU.
011600     IF IN-FILE = SPACES OR OUT-FILE = SPACES
011700         STOP RUN.
011800*
011900     IF DESCENDING-ORDER = SPACES
012000         PERFORM 0010-ASCENDING-ROUTINE
012100     ELSE
012200         PERFORM 0010-DESCENDING-ROUTINE.
012300*
012400     STOP RUN.
012500*
012600 0010-DESCENDING-ROUTINE.
012700     SORT SORT-TAGLINE ON DESCENDING SORTED-TAGLINE
012800         USING  TAGLINE-FILE-IN
012900         GIVING TAGLINE-FILE-OUT.
013000
013100 0010-ASCENDING-ROUTINE.
013200     SORT SORT-TAGLINE ON ASCENDING SORTED-TAGLINE
013300         USING  TAGLINE-FILE-IN
013400         GIVING TAGLINE-FILE-OUT.
013500*
013600******************>>>>  END OF PROGRAM TAG-SORT
